import { OnInit } from '@angular/core';
import { Queue } from './queue';
import { Animator } from './animator';
import { Loader } from './loader';
export declare class AgentComponent implements OnInit {
    balloon: any;
    name: string;
    backgroundPosition: string;
    visible: boolean;
    queue: Queue;
    animator: Animator;
    loader: Loader;
    agentClass: string;
    ngOnInit(): void;
    show(fast: any): void;
    hide(fast: any, callback: any): Promise<{}>;
    speak(text: any, hold: any): void;
    stop(): void;
    hideBalloon(fast: boolean): void;
    animate(): any;
    onQueueEmpty(): void;
    getIdleAnimation(): any;
    play(animation: any): boolean;
    hasAnimation(name: any): boolean;
    /***
     * Gets a list of animation names
     */
    animations(): any[];
    pause(): void;
    resume(): void;
    onDoubleClick(): void;
}
