import { BehaviorSubject } from 'rxjs';
export declare class Animator {
    _backgroundPos: string;
    backgroundState: BehaviorSubject<{
        backgroundPos: string;
    }>;
    changePos(pos: any): void;
    initializeData(data: any, sounds: any): void;
    animations(): any[];
    preloadSounds(sounds: any): void;
    hasAnimation(name: any): boolean;
    exitAnimation(): void;
    showAnimation(animationName: any, callback: any): Promise<{}>;
    getCurrentAnimation(): any;
    draw(): void;
    getNextAnimationFrame(): any;
    playSound(): void;
    atLastFrame(): boolean;
    step(): void;
    clearTimeout(): void;
}
